> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product details



## OpenAPI

````yaml /swagger/openapi.json get /products/{id}
openapi: 3.0.0
info:
  title: Public API
  version: 1.0.0
servers:
  - url: https://api.funnelfox.io/public/v1
security: []
paths:
  /products/{id}:
    get:
      summary: Get product details
      operationId: ProductGet
      parameters:
        - in: header
          name: Fox-Secret
          required: true
          description: Project Secret Key
          schema:
            type: string
            example: secret_
        - in: path
          name: id
          required: true
          description: Product ID
          schema:
            type: string
      responses:
        '200':
          description: Product details
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                  - name
                  - platform
                  - external_id
                  - status
                  - created_at
                  - updated_at
                properties:
                  id:
                    type: string
                    minLength: 26
                    maxLength: 26
                    x-go-name: ID
                  name:
                    type: string
                  description:
                    type: string
                  platform:
                    type: string
                  external_id:
                    x-go-name: ExternalID
                    type: string
                  statement_descriptor:
                    type: string
                  entitlement:
                    type: string
                  metadata:
                    type: object
                    additionalProperties: true
                  status:
                    type: string
                    enum:
                      - active
                      - archived
                  prices:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - external_id
                        - type
                        - amount
                        - currency
                        - status
                        - created_at
                      properties:
                        id:
                          type: string
                          minLength: 26
                          maxLength: 26
                          x-go-name: ID
                        external_id:
                          x-go-name: ExternalID
                          type: string
                        type:
                          type: string
                          enum:
                            - one_time
                            - recurring
                        amount:
                          type: integer
                          description: Price in cents
                        currency:
                          type: string
                          minLength: 3
                          maxLength: 3
                        interval:
                          type: string
                          enum:
                            - day
                            - week
                            - month
                            - year
                        interval_count:
                          type: integer
                          minimum: 1
                        status:
                          type: string
                          enum:
                            - active
                            - archived
                        trial_type:
                          type: string
                          enum:
                            - free_trial
                            - paid_trial
                        trial:
                          type: object
                          required:
                            - type
                          properties:
                            type:
                              type: string
                              enum:
                                - free_trial
                                - paid_trial
                            duration_interval:
                              type: string
                              enum:
                                - day
                                - week
                                - month
                                - year
                            duration_count:
                              type: integer
                              minimum: 1
                            price:
                              type: integer
                              description: Trial price in cents (for paid trials)
                            currency:
                              type: string
                              minLength: 3
                              maxLength: 3
                        created_at:
                          type: string
                          format: date-time
                        product:
                          type: object
                          required:
                            - id
                            - name
                            - platform
                            - external_id
                            - status
                            - created_at
                            - updated_at
                          properties:
                            id:
                              type: string
                              minLength: 26
                              maxLength: 26
                              x-go-name: ID
                            name:
                              type: string
                            description:
                              type: string
                            platform:
                              type: string
                            external_id:
                              x-go-name: ExternalID
                              type: string
                            statement_descriptor:
                              type: string
                            entitlement:
                              type: string
                            metadata:
                              type: object
                              additionalProperties: true
                            status:
                              type: string
                              enum:
                                - active
                                - archived
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
        '400':
          description: Request error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '404':
          description: Product not found
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string

````